A backend configuration

### Hierarchy

- SCBackendConfiguration

## Index

### Properties

- SCVersion
- hiddenTypes
- maxMultiSearchRouteQueries
- maxRequestBodySize
- name
- namespace
- sortableFields

## Properties

### SCVersion

SCVersion: string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4460

Version string of the installed StAppsCore

### hiddenTypes

hiddenTypes: SCThingType[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4440

A list of hidden SC types

If a type is hidden it won't show in any result unless the type is filtered for

### maxMultiSearchRouteQueries

maxMultiSearchRouteQueries: number

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4444

Maximum number of queries, that can be used in MultiSearchRoute

### maxRequestBodySize

maxRequestBodySize: number

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4448

Maximum body size for requests

### name

name: string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4452

Name of university

### namespace

namespace: SCUuid

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4456

Namespace of the university for UID generation

### sortableFields

sortableFields: SCBackendConfigurationSortableField[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4464

A list of sortable fields of each type

Generated using TypeDoc